from django.shortcuts import render

# Create your views here.

# Written by Bob Dondero:

from django.http import HttpResponse, HttpResponseRedirect
from django.template import loader
from time import localtime, asctime, strftime
from urllib.parse import urlencode
from pennyapp.models import Book

#-----------------------------------------------------------------------

def get_greeting():
    if strftime('%p') == "AM":
        return 'morning'
    return 'afternoon'

def get_local_time():
    return asctime(localtime())

#-----------------------------------------------------------------------

def index(request):

    context = {
        'greeting': get_greeting(),
        'localtime': get_local_time() }

    response = render(request, 'pennyapp/index.html', context)
    return response

#-----------------------------------------------------------------------

def search_form(request):

    prev_author = '(None)'
    if 'prev_author' in request.COOKIES:
        prev_author = request.COOKIES['prev_author']

    context = {
        'prev_author': prev_author,
        'greeting': get_greeting(),
        'localtime': get_local_time() }

    response = render(request, 'pennyapp/searchform.html', context)
    return response

#-----------------------------------------------------------------------

def search_results(request):

    if 'author' not in request.GET:
        author = ''
    else:
        author = request.GET['author']
        author = author.strip()

    if author == '':
        prev_author = '(None)'
        books = []
    else:
        prev_author = author
        books = Book.objects.filter(author__startswith=author)

    context = {
        'author': prev_author,
        'books': books,
        'greeting': get_greeting(),
        'localtime': get_local_time() }

    response = render(request, 'pennyapp/searchresults.html', context)
    response.set_cookie('prev_author', author)
    return response
